OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
GroupFilter Class Reference

Index filtering on group membership. More...

`#include <openvdb/points/AttributeGroup.h>`

## Public Member Functions
| GroupFilter (const Name &name, const AttributeSet &attributeSet)
| GroupFilter (const AttributeSet::Descriptor::GroupIndex &index)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)

## Detailed Description

Index filtering on group membership.

## Constructor & Destructor Documentation

## ◆ GroupFilter() [1/2]

GroupFilter | ( | const Name & | name,
|  | const AttributeSet & | attributeSet
| ) |  |
| inline

## ◆ GroupFilter() [2/2]

GroupFilter | ( | const AttributeSet::Descriptor::GroupIndex & | index | ) |
| inline explicit

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ state() [1/2]

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline